<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="filoblu_banner"
          label="FiloBlu Banner"
          component="Magento_PageBuilder/js/content-type"
          preview_component="Magento_PageBuilder/js/content-type/banner/preview"
          form="pagebuilder_filoblu_banner_form"
          menu_section="filoblu_controls"
          icon="icon-pagebuilder-banner"
          sortOrder="30"
          translate="label">
        <children default_policy="deny"/>
        <appearances>
            <appearance name="collage-left"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-left/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-left/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="show_button" source="data-show-button"/>
                        <attribute name="show_overlay" source="data-show-overlay"/>
                        <attribute name="banner_image" source="data-banner-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_width" source="data-banner-image-width"/>
                        <attribute name="banner_image_height" source="data-banner-image-height"/>
                        <attribute name="banner_image_alt" source="data-banner-image-alt"/>
                        <attribute name="banner_mobile_image_width" source="data-banner-mobile-image-width"/>
                        <attribute name="banner_mobile_image_height" source="data-banner-mobile-image-height"/>
                        <attribute name="banner_mobile_image" source="data-banner-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_url" source="data-banner-image-url"/>
                        <attribute name="banner_mobile_image_url" source="data-banner-mobile-image-url"/>
                        <attribute name="title" source="data-title"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                        <attribute name="subtitle" source="data-subtitle"/>
                        <attribute name="title_element_type" source="data-title-element-type"/>
                        <attribute name="subtitle_element_type" source="data-subtitle-element-type"/>
                        <attribute name="title_color" source="data-title-color"/>
                        <attribute name="subtitle_color" source="data-subtitle-color"/>
                        <attribute name="mobile_title_color" source="data-mobile-title-color"/>
                        <attribute name="mobile_subtitle_color" source="data-mobile-subtitle-color"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="video_url" source="data-banner-video-url"/>
                        <attribute name="video_mobile_url" source="data-banner-video-mobile-url"/>
                        <attribute name="video_path" source="data-banner-video-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_mobile_path" source="data-banner-video-mobile-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_autoplay" source="data-banner-video-autoplay"/>
                        <attribute name="video_banner_loop" source="data-banner-video-loop"/>
                        <attribute name="video_cover_image" source="data-banner-video-cover-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_image_url" source="data-banner-video-cover-image-url"/>
                        <attribute name="video_cover_image_width" source="data-banner-video-cover-image-width"/>
                        <attribute name="video_cover_image_height" source="data-banner-video-cover-image-height"/>
                        <attribute name="video_cover_mobile_image" source="data-banner-video-cover-mobile-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_mobile_image_url" source="data-banner-video-cover-mobile-image-url"/>
                        <attribute name="video_cover_mobile_image_width" source="data-banner-video-cover-mobile-image-width"/>
                        <attribute name="video_cover_mobile_image_height" source="data-banner-video-cover-mobile-image-height"/>
                        <attribute name="video_transcript" source="data-video-transcript"/>
                        <attribute name="link_aria_label" source="data-link-aria-label"/>
                        <attribute name="link_aria_label_2" source="data-link-aria-label_2"/>
                        <attribute name="link_aria_label_3" source="data-link-aria-label_3"/>
                        <attribute name="banner_id" source="data-banner-id"/>
                        <attribute name="banner_name" source="data-banner-name"/>
                        <attribute name="banner_creative" source="data-banner-creative"/>
                        <attribute name="banner_position" source="data-banner-position"/>
                        <attribute name="button_text" source="data-button-text"/>
                        <attribute name="button_type" source="data-button-type"/>
                        <attribute name="button_text_2" source="data-button-text-2"/>
                        <attribute name="button_type_2" source="data-button-type-2"/>
                        <attribute name="button_text_3" source="data-button-text-3"/>
                        <attribute name="button_type_3" source="data-button-type-3"/>
                        <attribute name="show_button_2" source="data-show-button-2"/>
                        <attribute name="show_button_3" source="data-show-button-3"/>
                        <attribute name="message" source="data-banner-content"/>
                        <attribute name="second_message" source="data-banner-content-2"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                        <attribute name="link_url" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="data-link-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="data-link-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_2" reader="FiloBlu_Refilo/js/property/link2" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="data-link-href-2" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="data-link-target-2" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type-2" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_3" reader="FiloBlu_Refilo/js/property/link3" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="data-link-href-3" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="data-link-target-3" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type-3" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute source="data-select-product-by" name="data_condition_option"/>
                        <attribute source="data-selected-category-ids" name="category_ids"/>
                        <attribute source="data-selected-sku" name="sku"/>
                        <attribute source="data-selected-conditions" name="condition_source"/>
                        <attribute source="data-sort-by" name="sort_order"/>
                        <attribute source="data-display-products-limit" name="data_products_count"/>
                        <attribute source="data-block-id" name="cms_block_id"/>
                        <attribute source="data-mapping-pins" name="mapping_pins" storage_key="mapping_pins" converter="FiloBlu_Refilo/js/converter/attribute/mapping-pins"/>
                        <attribute source="data-pins-style" name="pins_style"/>
                        <attribute source="data-threesixty-images-width" name="threesixty_images_width"/>
                        <attribute source="data-threesixty-images-height" name="threesixty_images_height"/>
                        <attribute source="data-threesixty-images" name="threesixty_images" storage_key="threesixty_images" converter="FiloBlu_Refilo/js/converter/attribute/threesixty-images"/>
                    </element>
                    <element name="link">
                        <attribute name="link_url" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_2">
                        <attribute name="link_url_2" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_3">
                        <attribute name="link_url_3" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="empty_link"/>
                    <element name="wrapper">
                        <style name="background_color" source="background_color"/>
                        <style name="background_image" source="background_image" converter="Magento_PageBuilder/js/converter/style/background-image" preview_converter="Magento_PageBuilder/js/converter/style/preview/background-image" persistence_mode="write"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="background_attachment" source="background_attachment"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_images" source="data-background-images"/>
                    </element>
                    <element name="overlay">
                        <style name="overlay_color" source="background_color" converter="Magento_PageBuilder/js/content-type/banner/converter/style/overlay-background-color" persistence_mode="write"/>
                        <attribute name="overlay_color_attribute" storage_key="overlay_color" source="data-overlay-color" converter="Magento_PageBuilder/js/content-type/banner/converter/attribute/overlay-color"/>
                    </element>
                    <element name="content">
                        <html name="message" preview_converter="Magento_PageBuilder/js/converter/html/directive"/>
                    </element>
                    <element name="button">
                        <style name="opacity" source="opacity" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-opacity" persistence_mode="write"/>
                        <style name="visibility" source="visibility" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-visibility" persistence_mode="write"/>
                        <html name="button_text" converter="Magento_PageBuilder/js/converter/html/tag-escaper"/>
                        <css name="button_type">
                            <filter>
                                <class source="pagebuilder-banner-button"/>
                            </filter>
                        </css>
                    </element>
                </elements>
            </appearance>
            <appearance name="collage-centered"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-centered/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-centered/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="show_button" source="data-show-button"/>
                        <attribute name="show_overlay" source="data-show-overlay"/>
                        <attribute name="banner_image" source="data-banner-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_width" source="data-banner-image-width"/>
                        <attribute name="banner_image_height" source="data-banner-image-height"/>
                        <attribute name="banner_image_alt" source="data-banner-image-alt"/>
                        <attribute name="banner_mobile_image_width" source="data-banner-mobile-image-width"/>
                        <attribute name="banner_mobile_image_height" source="data-banner-mobile-image-height"/>
                        <attribute name="banner_mobile_image" source="data-banner-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_url" source="data-banner-image-url"/>
                        <attribute name="banner_mobile_image_url" source="data-banner-mobile-image-url"/>
                        <attribute name="title" source="data-title"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                        <attribute name="subtitle" source="data-subtitle"/>
                        <attribute name="title_element_type" source="data-title-element-type"/>
                        <attribute name="subtitle_element_type" source="data-subtitle-element-type"/>
                        <attribute name="title_color" source="data-title-color"/>
                        <attribute name="subtitle_color" source="data-subtitle-color"/>
                        <attribute name="mobile_title_color" source="data-mobile-title-color"/>
                        <attribute name="mobile_subtitle_color" source="data-mobile-subtitle-color"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="video_url" source="data-banner-video-url"/>
                        <attribute name="video_mobile_url" source="data-banner-video-mobile-url"/>
                        <attribute name="video_path" source="data-banner-video-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_mobile_path" source="data-banner-video-mobile-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_autoplay" source="data-banner-video-autoplay"/>
                        <attribute name="video_banner_loop" source="data-banner-video-loop"/>
                        <attribute name="video_cover_image" source="data-banner-video-cover-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_image_url" source="data-banner-video-cover-image-url"/>
                        <attribute name="video_cover_image_width" source="data-banner-video-cover-image-width"/>
                        <attribute name="video_cover_image_height" source="data-banner-video-cover-image-height"/>
                        <attribute name="video_cover_mobile_image" source="data-banner-video-cover-mobile-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_mobile_image_url" source="data-banner-video-cover-mobile-image-url"/>
                        <attribute name="video_cover_mobile_image_width" source="data-banner-video-cover-mobile-image-width"/>
                        <attribute name="video_cover_mobile_image_height" source="data-banner-video-cover-mobile-image-height"/>
                        <attribute name="video_transcript" source="data-video-transcript"/>
                        <attribute name="link_aria_label" source="data-link-aria-label"/>
                        <attribute name="link_aria_label_2" source="data-link-aria-label_2"/>
                        <attribute name="link_aria_label_3" source="data-link-aria-label_3"/>
                        <attribute name="banner_id" source="data-banner-id"/>
                        <attribute name="banner_name" source="data-banner-name"/>
                        <attribute name="banner_creative" source="data-banner-creative"/>
                        <attribute name="banner_position" source="data-banner-position"/>
                        <attribute name="button_text" source="data-button-text"/>
                        <attribute name="button_type" source="data-button-type"/>
                        <attribute name="button_text_2" source="data-button-text-2"/>
                        <attribute name="button_type_2" source="data-button-type-2"/>
                        <attribute name="button_text_3" source="data-button-text-3"/>
                        <attribute name="button_type_3" source="data-button-type-3"/>
                        <attribute name="show_button_2" source="data-show-button-2"/>
                        <attribute name="show_button_3" source="data-show-button-3"/>
                        <attribute name="message" source="data-banner-content"/>
                        <attribute name="second_message" source="data-banner-content-2"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                        <attribute name="link_url" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="data-link-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="data-link-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_2" reader="FiloBlu_Refilo/js/property/link2" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="data-link-href-2" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="data-link-target-2" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type-2" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_3" reader="FiloBlu_Refilo/js/property/link3" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="data-link-href-3" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="data-link-target-3" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type-3" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute source="data-select-product-by" name="data_condition_option"/>
                        <attribute source="data-selected-category-ids" name="category_ids"/>
                        <attribute source="data-selected-sku" name="sku"/>
                        <attribute source="data-selected-conditions" name="condition_source"/>
                        <attribute source="data-sort-by" name="sort_order"/>
                        <attribute source="data-display-products-limit" name="data_products_count"/>
                        <attribute source="data-block-id" name="cms_block_id"/>
                        <attribute source="data-mapping-pins" name="mapping_pins" storage_key="mapping_pins" converter="FiloBlu_Refilo/js/converter/attribute/mapping-pins"/>
                        <attribute source="data-pins-style" name="pins_style"/>
                        <attribute source="data-threesixty-images-width" name="threesixty_images_width"/>
                        <attribute source="data-threesixty-images-height" name="threesixty_images_height"/>
                        <attribute source="data-threesixty-images" name="threesixty_images" storage_key="threesixty_images" converter="FiloBlu_Refilo/js/converter/attribute/threesixty-images"/>
                    </element>
                    <element name="link">
                        <attribute name="link_url" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_2">
                        <attribute name="link_url_2" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_3">
                        <attribute name="link_url_3" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="empty_link"/>
                    <element name="wrapper">
                        <style name="background_color" source="background_color"/>
                        <style name="background_image" source="background_image" converter="Magento_PageBuilder/js/converter/style/background-image" preview_converter="Magento_PageBuilder/js/converter/style/preview/background-image" persistence_mode="write"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="background_attachment" source="background_attachment"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_images" source="data-background-images"/>
                    </element>
                    <element name="overlay">
                        <style name="overlay_color" source="background_color" converter="Magento_PageBuilder/js/content-type/banner/converter/style/overlay-background-color" persistence_mode="write"/>
                        <attribute name="overlay_color_attribute" storage_key="overlay_color" source="data-overlay-color" converter="Magento_PageBuilder/js/content-type/banner/converter/attribute/overlay-color"/>
                    </element>
                    <element name="content">
                        <html name="message" preview_converter="Magento_PageBuilder/js/converter/html/directive"/>
                    </element>
                    <element name="button">
                        <style name="opacity" source="opacity" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-opacity" persistence_mode="write"/>
                        <style name="visibility" source="visibility" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-visibility" persistence_mode="write"/>
                        <html name="button_text" converter="Magento_PageBuilder/js/converter/html/tag-escaper"/>
                        <css name="button_type">
                            <filter>
                                <class source="pagebuilder-banner-button"/>
                            </filter>
                        </css>
                    </element>
                </elements>
                <converters>
                    <converter name="background_images" component="Magento_PageBuilder/js/mass-converter/background-images">
                        <config>
                            <item name="attribute_name" value="background_images"/>
                            <item name="desktop_image_variable" value="background_image"/>
                            <item name="mobile_image_variable" value="mobile_image"/>
                        </config>
                    </converter>
                </converters>
            </appearance>
            <appearance name="collage-right"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-right/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-banner/collage-right/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="show_button" source="data-show-button"/>
                        <attribute name="show_overlay" source="data-show-overlay"/>
                        <attribute name="banner_image" source="data-banner-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_width" source="data-banner-image-width"/>
                        <attribute name="banner_image_height" source="data-banner-image-height"/>
                        <attribute name="banner_image_alt" source="data-banner-image-alt"/>
                        <attribute name="banner_mobile_image_width" source="data-banner-mobile-image-width"/>
                        <attribute name="banner_mobile_image_height" source="data-banner-mobile-image-height"/>
                        <attribute name="banner_mobile_image" source="data-banner-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_url" source="data-banner-image-url"/>
                        <attribute name="banner_mobile_image_url" source="data-banner-mobile-image-url"/>
                        <attribute name="title" source="data-title"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                        <attribute name="subtitle" source="data-subtitle"/>
                        <attribute name="title_element_type" source="data-title-element-type"/>
                        <attribute name="subtitle_element_type" source="data-subtitle-element-type"/>
                        <attribute name="title_color" source="data-title-color"/>
                        <attribute name="subtitle_color" source="data-subtitle-color"/>
                        <attribute name="mobile_title_color" source="data-mobile-title-color"/>
                        <attribute name="mobile_subtitle_color" source="data-mobile-subtitle-color"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="video_url" source="data-banner-video-url"/>
                        <attribute name="video_mobile_url" source="data-banner-video-mobile-url"/>
                        <attribute name="video_path" source="data-banner-video-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_mobile_path" source="data-banner-video-mobile-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_autoplay" source="data-banner-video-autoplay"/>
                        <attribute name="video_banner_loop" source="data-banner-video-loop"/>
                        <attribute name="video_cover_image" source="data-banner-video-cover-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_image_url" source="data-banner-video-cover-image-url"/>
                        <attribute name="video_cover_image_width" source="data-banner-video-cover-image-width"/>
                        <attribute name="video_cover_image_height" source="data-banner-video-cover-image-height"/>
                        <attribute name="video_cover_mobile_image" source="data-banner-video-cover-mobile-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_mobile_image_url" source="data-banner-video-cover-mobile-image-url"/>
                        <attribute name="video_cover_mobile_image_width" source="data-banner-video-cover-mobile-image-width"/>
                        <attribute name="video_cover_mobile_image_height" source="data-banner-video-cover-mobile-image-height"/>
                        <attribute name="video_transcript" source="data-video-transcript"/>
                        <attribute name="link_aria_label" source="data-link-aria-label"/>
                        <attribute name="link_aria_label_2" source="data-link-aria-label_2"/>
                        <attribute name="link_aria_label_3" source="data-link-aria-label_3"/>
                        <attribute name="banner_id" source="data-banner-id"/>
                        <attribute name="banner_name" source="data-banner-name"/>
                        <attribute name="banner_creative" source="data-banner-creative"/>
                        <attribute name="banner_position" source="data-banner-position"/>
                        <attribute name="button_text" source="data-button-text"/>
                        <attribute name="button_type" source="data-button-type"/>
                        <attribute name="button_text_2" source="data-button-text-2"/>
                        <attribute name="button_type_2" source="data-button-type-2"/>
                        <attribute name="button_text_3" source="data-button-text-3"/>
                        <attribute name="button_type_3" source="data-button-type-3"/>
                        <attribute name="show_button_2" source="data-show-button-2"/>
                        <attribute name="show_button_3" source="data-show-button-3"/>
                        <attribute name="message" source="data-banner-content"/>
                        <attribute name="second_message" source="data-banner-content-2"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                        <attribute name="link_url" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="data-link-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="data-link-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_2" reader="FiloBlu_Refilo/js/property/link2" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="data-link-href-2" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="data-link-target-2" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type-2" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_3" reader="FiloBlu_Refilo/js/property/link3" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="data-link-href-3" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="data-link-target-3" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type-3" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute source="data-select-product-by" name="data_condition_option"/>
                        <attribute source="data-selected-category-ids" name="category_ids"/>
                        <attribute source="data-selected-sku" name="sku"/>
                        <attribute source="data-selected-conditions" name="condition_source"/>
                        <attribute source="data-sort-by" name="sort_order"/>
                        <attribute source="data-display-products-limit" name="data_products_count"/>
                        <attribute source="data-block-id" name="cms_block_id"/>
                        <attribute source="data-mapping-pins" name="mapping_pins" storage_key="mapping_pins" converter="FiloBlu_Refilo/js/converter/attribute/mapping-pins"/>
                        <attribute source="data-pins-style" name="pins_style"/>
                        <attribute source="data-threesixty-images-width" name="threesixty_images_width"/>
                        <attribute source="data-threesixty-images-height" name="threesixty_images_height"/>
                        <attribute source="data-threesixty-images" name="threesixty_images" storage_key="threesixty_images" converter="FiloBlu_Refilo/js/converter/attribute/threesixty-images"/>
                    </element>
                    <element name="link">
                        <attribute name="link_url" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_2">
                        <attribute name="link_url_2" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_3">
                        <attribute name="link_url_3" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="empty_link"/>
                    <element name="wrapper">
                        <style name="background_color" source="background_color"/>
                        <style name="background_image" source="background_image" converter="Magento_PageBuilder/js/converter/style/background-image" preview_converter="Magento_PageBuilder/js/converter/style/preview/background-image" persistence_mode="write"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="background_attachment" source="background_attachment"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_images" source="data-background-images"/>
                    </element>
                    <element name="overlay">
                        <style name="overlay_color" source="background_color" converter="Magento_PageBuilder/js/content-type/banner/converter/style/overlay-background-color" persistence_mode="write"/>
                        <attribute name="overlay_color_attribute" storage_key="overlay_color" source="data-overlay-color" converter="Magento_PageBuilder/js/content-type/banner/converter/attribute/overlay-color"/>
                    </element>
                    <element name="content">
                        <html name="message" preview_converter="Magento_PageBuilder/js/converter/html/directive"/>
                    </element>
                    <element name="button">
                        <style name="opacity" source="opacity" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-opacity" persistence_mode="write"/>
                        <style name="visibility" source="visibility" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-visibility" persistence_mode="write"/>
                        <html name="button_text" converter="Magento_PageBuilder/js/converter/html/tag-escaper"/>
                        <css name="button_type">
                            <filter>
                                <class source="pagebuilder-banner-button"/>
                            </filter>
                        </css>
                    </element>
                </elements>
                <converters>
                    <converter name="background_images" component="Magento_PageBuilder/js/mass-converter/background-images">
                        <config>
                            <item name="attribute_name" value="background_images"/>
                            <item name="desktop_image_variable" value="background_image"/>
                            <item name="mobile_image_variable" value="mobile_image"/>
                        </config>
                    </converter>
                </converters>
            </appearance>
            <appearance default="true"
                        name="poster"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-banner/poster/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-banner/poster/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="show_button" source="data-show-button"/>
                        <attribute name="show_overlay" source="data-show-overlay"/>
                        <attribute name="banner_image" source="data-banner-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_width" source="data-banner-image-width"/>
                        <attribute name="banner_image_height" source="data-banner-image-height"/>
                        <attribute name="banner_image_alt" source="data-banner-image-alt"/>
                        <attribute name="banner_mobile_image_width" source="data-banner-mobile-image-width"/>
                        <attribute name="banner_mobile_image_height" source="data-banner-mobile-image-height"/>
                        <attribute name="banner_mobile_image" source="data-banner-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_url" source="data-banner-image-url"/>
                        <attribute name="banner_mobile_image_url" source="data-banner-mobile-image-url"/>
                        <attribute name="title" source="data-title"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                        <attribute name="subtitle" source="data-subtitle"/>
                        <attribute name="title_element_type" source="data-title-element-type"/>
                        <attribute name="subtitle_element_type" source="data-subtitle-element-type"/>
                        <attribute name="title_color" source="data-title-color"/>
                        <attribute name="subtitle_color" source="data-subtitle-color"/>
                        <attribute name="mobile_title_color" source="data-mobile-title-color"/>
                        <attribute name="mobile_subtitle_color" source="data-mobile-subtitle-color"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="video_url" source="data-banner-video-url"/>
                        <attribute name="video_mobile_url" source="data-banner-video-mobile-url"/>
                        <attribute name="video_path" source="data-banner-video-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_mobile_path" source="data-banner-video-mobile-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_autoplay" source="data-banner-video-autoplay"/>
                        <attribute name="video_banner_loop" source="data-banner-video-loop"/>
                        <attribute name="video_cover_image" source="data-banner-video-cover-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_image_url" source="data-banner-video-cover-image-url"/>
                        <attribute name="video_cover_image_width" source="data-banner-video-cover-image-width"/>
                        <attribute name="video_cover_image_height" source="data-banner-video-cover-image-height"/>
                        <attribute name="video_cover_mobile_image" source="data-banner-video-cover-mobile-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_mobile_image_url" source="data-banner-video-cover-mobile-image-url"/>
                        <attribute name="video_cover_mobile_image_width" source="data-banner-video-cover-mobile-image-width"/>
                        <attribute name="video_cover_mobile_image_height" source="data-banner-video-cover-mobile-image-height"/>
                        <attribute name="video_transcript" source="data-video-transcript"/>
                        <attribute name="link_aria_label" source="data-link-aria-label"/>
                        <attribute name="link_aria_label_2" source="data-link-aria-label_2"/>
                        <attribute name="link_aria_label_3" source="data-link-aria-label_3"/>
                        <attribute name="banner_id" source="data-banner-id"/>
                        <attribute name="banner_name" source="data-banner-name"/>
                        <attribute name="banner_creative" source="data-banner-creative"/>
                        <attribute name="banner_position" source="data-banner-position"/>
                        <attribute name="button_text" source="data-button-text"/>
                        <attribute name="button_type" source="data-button-type"/>
                        <attribute name="button_text_2" source="data-button-text-2"/>
                        <attribute name="button_type_2" source="data-button-type-2"/>
                        <attribute name="button_text_3" source="data-button-text-3"/>
                        <attribute name="button_type_3" source="data-button-type-3"/>
                        <attribute name="show_button_2" source="data-show-button-2"/>
                        <attribute name="show_button_3" source="data-show-button-3"/>
                        <attribute name="message" source="data-banner-content"/>
                        <attribute name="second_message" source="data-banner-content-2"/>
                        <attribute name="link_url" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="data-link-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="data-link-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_2" reader="FiloBlu_Refilo/js/property/link2" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="data-link-href-2" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="data-link-target-2" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type-2" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="link_url_3" reader="FiloBlu_Refilo/js/property/link3" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="data-link-href-3" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="data-link-target-3" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type-3" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                        <attribute source="data-select-product-by" name="data_condition_option"/>
                        <attribute source="data-selected-category-ids" name="category_ids"/>
                        <attribute source="data-selected-sku" name="sku"/>
                        <attribute source="data-selected-conditions" name="condition_source"/>
                        <attribute source="data-sort-by" name="sort_order"/>
                        <attribute source="data-display-products-limit" name="data_products_count"/>
                        <attribute source="data-block-id" name="cms_block_id"/>
                        <attribute source="data-mapping-pins" name="mapping_pins" storage_key="mapping_pins" converter="FiloBlu_Refilo/js/converter/attribute/mapping-pins"/>
                        <attribute source="data-pins-style" name="pins_style"/>
                        <attribute source="data-threesixty-images-width" name="threesixty_images_width"/>
                        <attribute source="data-threesixty-images-height" name="threesixty_images_height"/>
                        <attribute source="data-threesixty-images" name="threesixty_images" storage_key="threesixty_images" converter="FiloBlu_Refilo/js/converter/attribute/threesixty-images"/>
                    </element>
                    <element name="link">
                        <attribute name="link_url" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_2">
                        <attribute name="link_url_2" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_2" storage_key="link_url_2" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_2" storage_key="link_url_2" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_2" storage_key="link_url_2" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="link_3">
                        <attribute name="link_url_3" reader="Magento_PageBuilder/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href_3" storage_key="link_url_3" source="href" converter="Magento_PageBuilder/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target_3" storage_key="link_url_3" source="target" converter="Magento_PageBuilder/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type_3" storage_key="link_url_3" source="data-link-type" converter="Magento_PageBuilder/js/converter/attribute/link-type" persistence_mode="write"/>
                    </element>
                    <element name="empty_link"/>
                    <element name="wrapper">
                        <style name="background_color" source="background_color"/>
                        <style name="background_image" source="background_image" converter="Magento_PageBuilder/js/converter/style/background-image" preview_converter="Magento_PageBuilder/js/converter/style/preview/background-image" persistence_mode="write"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="background_attachment" source="background_attachment"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="text_align" source="text_align"/>
                        <attribute name="background_images" source="data-background-images"/>
                    </element>
                    <element name="overlay">
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/overlay-border-radius" persistence_mode="write"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="overlay_color" source="background_color" converter="Magento_PageBuilder/js/content-type/banner/converter/style/overlay-background-color" persistence_mode="write"/>
                        <style name="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <attribute name="overlay_color_attribute" storage_key="overlay_color" source="data-overlay-color" converter="Magento_PageBuilder/js/content-type/banner/converter/attribute/overlay-color"/>
                    </element>
                    <element name="content">
                        <html name="message" preview_converter="Magento_PageBuilder/js/converter/html/directive"/>
                    </element>
                    <element name="button">
                        <style name="opacity" source="opacity" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-opacity" persistence_mode="write"/>
                        <style name="visibility" source="visibility" converter="Magento_PageBuilder/js/content-type/banner/converter/style/button-visibility" persistence_mode="write"/>
                        <html name="button_text" converter="Magento_PageBuilder/js/converter/html/tag-escaper"/>
                        <css name="button_type">
                            <filter>
                                <class source="pagebuilder-banner-button"/>
                            </filter>
                        </css>
                    </element>
                </elements>
            </appearance>
        </appearances>
        <additional_data>
            <item name="uploaderConfig" xsi:type="array">
                <item name="isShowImageUploadInstructions" xsi:type="boolean">false</item>
                <item name="isShowImageUploadOptions" xsi:type="boolean">true</item>
                <item name="maxFileSize" xsi:type="object">ImageMaxFileSizeDesktop</item>
                <item name="allowedExtensions" xsi:type="string">jpg jpeg gif png</item>
                <item name="component" xsi:type="string">Magento_PageBuilder/js/form/element/image-uploader</item>
                <item name="componentType" xsi:type="string">imageUploader</item>
                <item name="dataScope" xsi:type="string">background_image</item>
                <item name="formElement" xsi:type="string">imageUploader</item>
                <item name="uploaderConfig" xsi:type="array">
                    <item name="url" xsi:type="object">Magento\PageBuilder\Model\Config\ContentType\AdditionalData\Provider\Uploader\SaveUrl</item>
                </item>
                <item name="previewTmpl" xsi:type="string">Magento_PageBuilder/form/element/uploader/preview</item>
                <item name="template" xsi:type="string">Magento_PageBuilder/form/element/uploader/preview/image</item>
                <item name="mediaGallery" xsi:type="array">
                    <item name="openDialogUrl" xsi:type="object">Magento\PageBuilder\Model\Config\ContentType\AdditionalData\Provider\Uploader\OpenDialogUrl</item>
                    <item name="openDialogTitle" xsi:type="string" translate="true">Insert Images...</item>
                    <item name="initialOpenSubpath" xsi:type="string">wysiwyg</item>
                    <item name="storeId" xsi:type="object">Magento\PageBuilder\Model\Config\ContentType\AdditionalData\Provider\StoreId</item>
                </item>
                <item name="translations" xsi:type="array">
                    <item name="uploadNewImage" xsi:type="string" translate="true">Upload Image</item>
                </item>
                <item name="validation" xsi:type="array">
                    <item name="required-entry" xsi:type="boolean">true</item>
                </item>
            </item>
            <item name="wysiwygConfig" xsi:type="array">
                <item name="wysiwygConfigData" xsi:type="object">Magento\PageBuilder\Model\Config\ContentType\AdditionalData\Provider\Wysiwyg\BannerConfig</item>
            </item>
        </additional_data>
    </type>
</config>
